#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	CGI
%include	/usr/lib/rpm/macros.perl
Summary:	CGI Perl module - simple CGI interface class
Summary(pl.UTF-8):	Moduł Perla CGI - prosta klasa interfejsu do CGI
Name:		perl-CGI
Version:	4.36
Release:	1
Epoch:		1
# same as perl
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/L/LE/LEEJO/CGI-%{version}.tar.gz
# Source0-md5:	48566d81f430a7f755bb4d8f426ce35d
URL:		http://search.cpan.org/dist/CGI/
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.3-0.20030610.20.2
BuildRequires:	rpmbuild(macros) >= 1.654
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl-Encode
BuildRequires:	perl-FCGI >= 0.67
BuildRequires:	perl-HTML-Parser >= 3.69
BuildRequires:	perl-Test-Deep >= 0.11
BuildRequires:	perl-Test-NoWarnings >= 1.04
BuildRequires:	perl-Test-Simple >= 0.98
BuildRequires:	perl-Test-Warn >= 0.30
%endif
Requires:	perl(File::Spec) >= 0.82
Requires:	perl-HTML-Parser >= 3.69
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl	FCGI

%description
CGI is an easy-to-use Perl5 library for writing World Wide Web CGI
scripts. This is replacement for usually outdated CGI module from perl
distribution.

%description -l pl.UTF-8
CGI jest modułem do prostego i szybkiego pisania aplikacji dla WWW -
skryptów CGI. Pakiet ten zawiera zamiennik dla zazwyczaj starej wersji
modułu CGI która jest dostarczana razem z perlem.

%package examples
Summary:	Examples for the CGI module
Summary(pl.UTF-8):	Przykłady użycia modułu CGI
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description examples
Examples for the CGI module.

%description examples -l pl.UTF-8
Przykłady użycia modułu CGI.

%prep
%setup -q -n %{pdir}-%{version}

%{__sed} -i -e 's|/usr/local/bin/perl|/usr/bin/perl|g' examples/*.{cgi,pl}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/CGI.pod \
	$RPM_BUILD_ROOT%{perl_vendorlib}/CGI/HTML/Functions.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorlib}/CGI.pm
%{perl_vendorlib}/Fh.pm
%{perl_vendorlib}/CGI/*.pm
%{perl_vendorlib}/CGI/File
%{perl_vendorlib}/CGI/HTML
%{_mandir}/man3/CGI*.3pm*

%files examples
%defattr(644,root,root,755)
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.cgi
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_examplesdir}/%{name}-%{version}/*.gif
%changelog
* Mon May 22 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-CGI.git;a=log;h=master

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> e593baa
- Up to 4.36

* Fri Dec 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 8ed018a
- updated to 4.25

* Mon Oct 05 2015 Elan Ruusamäe <glen@delfi.ee> 81352e2
- up to 4.21 (2015-06-16)

* Fri Jun 19 2015 Jakub Bogusz <qboosh@pld-linux.org> a6077d6
- cleanup one more .pod

* Fri Jun 19 2015 Jakub Bogusz <qboosh@pld-linux.org> dbef80d
- check-files cleanup

* Sun Jun 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ae9c14
- up to 4.20

* Mon Mar 02 2015 Jakub Bogusz <qboosh@pld-linux.org> addb71f
- (updated) versioned dependencies

* Sat Feb 28 2015 Elan Ruusamäe <glen@delfi.ee> b50f79d
- update test BR, use _noautoreq_perl

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 37390be
- up to 4.13

* Thu Oct 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 854b3da
- up to 4.04

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 91994a9
- up to 3.64

* Thu Mar 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a50ec7
- up to 3.63

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 659dc5d
- up to 3.59

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> ec81c95
- more test BRs

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> abed92b
- up to 3.58

* Thu Feb 10 2011 sparky <sparky@pld-linux.org> 6fccbaf
- tests BR: perl-Encode

* Wed Feb 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 427abc7
- updated to 3.52

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> f5932f9
- updated to 3.48

* Mon Sep 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cbd616
- up to 3.47

* Sun Sep 06 2009 amateja <amateja@pld-linux.org> 394cb1d
- updated to 3.45

